package com.wdkl.ncs.android.middleware.model.vo;

import com.wdkl.ncs.android.middleware.model.annotation.Column;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

/**
 * @author
 * @title: CustomerFeeConfigByGroupNameVO
 * @projectName nc
 * @description: TODO
 * @date 2021/4/2611:27
 */
public class CustomerFeeConfigByGroupNameVO implements Serializable {
    /**
     * 费用项组名
     */
    @Column(name = "fee_group_name")
    @ApiModelProperty(value = "费用项组名", required = false)
    private String feeGroupName;
    /**
     * null
     */
    @Column(name = "fee_number")
    @ApiModelProperty(value = "费用批次", required = false)
    private Integer feeNumber;
    /**
     * 费用项组名
     */
    @Column(name = "subtotal")
    @ApiModelProperty(value = "小计", required = false)
    private Double subtotal;

    private List<CustomerFeeConfigVO> customerFeeConfigList;

    public String getFeeGroupName() {
        return feeGroupName;
    }

    public void setFeeGroupName(String feeGroupName) {
        this.feeGroupName = feeGroupName;
    }

    public Integer getFeeNumber() {
        return feeNumber;
    }

    public void setFeeNumber(Integer feeNumber) {
        this.feeNumber = feeNumber;
    }

    public Double getSubtotal() {
        return subtotal;
    }

    public void setSubtotal(Double subtotal) {
        this.subtotal = subtotal;
    }

    public List<CustomerFeeConfigVO> getCustomerFeeConfigList() {
        return customerFeeConfigList;
    }

    public void setCustomerFeeConfigList(List<CustomerFeeConfigVO> customerFeeConfigList) {
        this.customerFeeConfigList = customerFeeConfigList;
    }
}
